/*
 * TFT.h
 *
 *  Created on: 22.05.2015
 *      Author: AllanTengg
 */

#ifndef TFT_H_
#define TFT_H_

#define TFT_XSIZE 320             //!< x dimension of tft display
#define TFT_YSIZE 240             //!< y dimension of tft display

extern uint16 Pixel_Buff[8*TFT_XSIZE];


//r,g,b ... 0..255
//red = RGB(255,0,0)
//green = RGB(0,255,0)
//blue = RGB(0,0,255)
#define RGB(r,g,b)		(((r & 0xF8) << 8) | ((g & 0xFC) << 3) | ((b & 0xF8) >> 3))

void QSPI0_Init();
void TFT_Init();
void TFT_BacklightOnOff (unsigned char st);
void TFT_Flush_Row_Buff(uint16 numberOfPixel);
void TFT_SetXY (uint16 x, uint16 y);
void TFT_ClearScreen(uint16 col);
void TFT_Text(uint16 textcol, uint16 backcol, char *str);

void TFT_Write_Data (uint8 regaddr, uint16 data);
uint32 TFT_Read_Data (uint8 regaddr);
void TFT_Read_Data_ili9341 (uint8 regaddr, uint16 *puiData, uint32 count);
void TFT_Write_Data_ili9341 (uint8 regaddr, uint16 *puiData, uint32 count);

#define COLOR_BLACK RGB(0,0,0)
#define COLOR_WHITE RGB(255,255,255)
#define COLOR_RED RGB(136,0,0)
#define COLOR_CYAN RGB(168, 255, 240)
#define COLOR_PURPLE RGB(208,72, 208)
#define COLOR_GREEN RGB(0, 208, 80)
#define COLOR_BLUE RGB(0, 0, 168)
#define COLOR_YELLOW RGB(240, 240, 128)
#define COLOR_ORANGE RGB(224, 136, 80)
#define COLOR_BROWN RGB(104, 72, 0)
#define COLOR_LIGHTRED RGB(255, 128, 128)
#define COLOR_DARKGRAY RGB(56, 56, 56)
#define COLOR_MEDGRAY RGB(128, 128, 128)
#define COLOR_LIGHTGREEN RGB(168, 255, 104)
#define COLOR_LIGHTBLUE RGB(0, 168, 255)
#define COLOR_LIGHTGRAY RGB(184, 184, 184)

extern const uint16 CBM_Palette[16];
extern const uint16 VGA_Palette[16];

#endif /* TFT_H_ */
