/*
 * TLF35584.c
 *
 *  Created on: 28.04.2015
 *      Author: AllanTengg
 */

#include "tc27xc/Ifx_reg.h"
#include <machine/intrinsics.h>
#include <machine/wdtcon.h>

void Disable_TLF35584()
{
	const unsigned short program_sequence[] = {0x8756,0x87DE,0x86AD,0x8625,0x8D27,0x8811,0x87BE,0x8668,0x877D,0x8795};
	unsigned short i, rx_array[10];

	unlock_wdtcon();
	QSPI2_CLC.U = 8;                    //Enable the QSPI2 module
	lock_wdtcon();

	QSPI2_GLOBALCON.U = 0x03C04;
	QSPI2_PISEL.U = 1;
	QSPI2_GLOBALCON1.U = 0x14000000;
	QSPI2_ECON1.U = 0x501;
	QSPI2_SSOC.U = 0x00020000;  //SLSO21

	unlock_wdtcon();
	P15_IOCR0.U = 0x98000000;   //SCLK
	P15_IOCR4.U = 0x00980000;   //MTSR
	P15_PDR0.U = 0x0;
	P15_PDR1.U = 0x0;
	P14_IOCR0.U = 0x00980000;   //CS
	P14_PDR0.U = 0x0;
	lock_wdtcon();

	/* Make sure that flags in STATUS register are cleared */
	while ((QSPI2_STATUS.U & 0xFFF) != 0)
		QSPI2_FLAGSCLEAR.U = 0xFFF;

	QSPI2_BACONENTRY.U = 0x17A10001;
	QSPI2_GLOBALCON.B.EN = 1;
	for(i = 0; i < 10; i++)
	{
		QSPI2_DATAENTRY0.U = program_sequence[i];
		while (QSPI2_STATUS.B.TXF != 1);
		QSPI2_FLAGSCLEAR.B.TXC = 1;
		while (QSPI2_STATUS.B.RXF != 1);
		QSPI2_FLAGSCLEAR.B.RXC = 1;
		rx_array[i] = QSPI2_RXEXIT.U;
	}
}

