/*====================================================================
* Project:  EMC2 Demo example for Aurix/Oikos board including
*
*           - System setup
*           - PLL configuration
*           - LED / I/O port operation
*           - System timer
*
*====================================================================*/

#include "tc27xc/Ifx_reg.h"
#include <machine/intrinsics.h>
#include "system_tc2x.h"
#include "interrupts.h"
#include "cpufreq.h"
#include "led.h"
#include "debug.h"
#include "timer.h"
#include <stdlib.h>
#include <string.h>
#include <machine/wdtcon.h>
#include "FreeRTOS.h"
#include "task.h"
#include "led.h"
#include "httpserver-socket.h"
#include "TLF35584.h"
#include "ethernetif.h"
#include "IfxEth_Phy_Pef7071.h"
#include "TFT.h"
#include "PCX.h"

extern const unsigned char viflogo_pcx[7311];


void main2( void )
{
	//Initialize the TFT display
	TFT_Init();
	TFT_ClearScreen(COLOR_BLACK);

	ShowPCX(0, 239, viflogo_pcx, 7311);

	// Enable interrupts globally
	_enable();


	// Start the scheduler
	vTaskStartScheduler();

	// The following line should never be reached.
	while(1);
}
